from django.contrib.auth.models import User
from models import PirateWebProfile

class PirateWebBackend:
    """Authenticate against PirateWeb user database."""
    def authenticate(self, memberid):
        try:
            p = PirateWebProfile.objects.get(memberid=memberid)
            return p.user
        except PirateWebProfile.DoesNotExist:
            return None

    def get_user(self, user_id):
        try:
            return User.objects.get(pk=user_id)
        except User.DoesNotExist:
            return None
