# -*- coding: utf-8 -*-

from django.template.defaultfilters import slugify as django_slugify
from django.conf import settings
from urllib import urlopen, urlencode
import xml.dom.minidom

def slugify(text):
    newtext = '%s' % text
    newtext = newtext.replace(u'Å', u'Aa').replace(u'å', u'aa')
    newtext = newtext.replace(u'Ä', u'Ae').replace(u'ä', u'ae')
    newtext = newtext.replace(u'Ö', u'Oe').replace(u'ö', u'oe')
    return django_slugify(newtext)

def validate_ticket(ticket):
    doc = xml.dom.minidom.parse(
        urlopen(settings.PIRATEWEB_VALIDATE_TICKET_URI + '?' + urlencode(
                {'ticket': ticket.encode('utf-8')})))
    pwuser = {}
    usernode = doc.getElementsByTagName('USER')[0]
    pwuser["id"] = usernode.getElementsByTagName('ID')[0].childNodes[0].nodeValue
    pwuser["name"] = usernode.getElementsByTagName('NAME')[0].childNodes[0].nodeValue
    try:
        pwuser["handle"] = usernode.getElementsByTagName('HANDLE')[0].childNodes[0].nodeValue
    except IndexError: 
        pwuser["handle"] = None
    try:
        pwuser["phone"] = usernode.getElementsByTagName('PHONE')[0].childNodes[0].nodeValue
    except IndexError:
        pwuser["phone"] = None
    try:
        pwuser["email"] = usernode.getElementsByTagName('EMAIL')[0].childNodes[0].nodeValue
    except IndexError:
        #hack until http://utv.piratpartiet.se/ticket/271 is resolved
        pwuser["email"] = getattr(settings, 'EMAIL_ADDR_OVERRIDE', None)

    return pwuser

def get_responsible_for_region(region):
    try:
        url = settings.PIRATEWEB_GEOGRAPHY_RESPONSIBLE + "?" + \
            urlencode({'geographyName': region.encode('utf-8')})

        fd  = urlopen(url)
        doc = xml.dom.minidom.parseString(fd.read())
        fd.close()

        root = doc.childNodes[0]

        # Grab first found LocalLead
        for geography in root.childNodes:      
            if geography.hasChildNodes():
                officer = geography.childNodes[0]
                if officer.getAttribute('type') == 'LocalLead':
                    return { 
                        'id':    officer.getAttribute('personid'),
                        'type':  officer.getAttribute('type'),
                        'email': officer.getAttribute('email'),
                        'phone': officer.getAttribute('phone'),
                        'name':  officer.childNodes[0].nodeValue, 
                        }
    except:
        pass

