from django.http import HttpResponse, HttpResponseNotFound
from django.shortcuts import get_object_or_404, render_to_response
from django.views.generic.simple import direct_to_template
from re import match

from models import Page

def show_page(request, slug):
    p = get_object_or_404(Page, slug=slug)
    return direct_to_template(request, 'static_pages/page.html', {'page': p})

def district(request, district, slug):
    return HttpResponse("You're trying to reach district '%s' with the slug '%s'" % (district, slug))

def dispatch(request, url):
    url = url.split(r'/', 1)
    if match(r'^vast|norr|syd|stockholm$', url[0]):
        return district(request, district=url[0], slug='/'.join(url[1:]))
    else:
        return show_page(request, slug='/'.join(url))
