from django.core.management import BaseCommand
from tortugapp.models import LiveEntry
from datetime import datetime
from time import mktime, localtime
import feedparser

class Command(BaseCommand):
    def handle(self, *args, **kwargs):
        feedparser._HTMLSanitizer.acceptable_elements = [
            'b', 'i', 'em', 'strike', 'strong', 'u']
        d = feedparser.parse("http://live.piratpartiet.se/rss20.xml")

        LiveEntry.objects.all().delete()
        for e in d.entries:
            time = mktime((localtime(mktime(e.updated_parsed))))
            l = LiveEntry(
                title=e.title,
                link=e.link,
                summary=e.summary,
                updated=datetime.fromtimestamp(time))
            if hasattr(e, 'author_detail'):
                l.author_name = e.author_detail.name
                l.author_email = e.author_detail.email
            l.save()
